package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.bopdecbo.Dbc;
import com.brilliance.isc.vo.bop.ArgmodManagerVo;
import com.brilliance.isc.vo.bop.BopdecSelectVo;
import com.brilliance.isc.vo.bop.DbcResultVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface DbcMapper {
    int insert(Dbc record);

    int insertSelective(Dbc record);

    int updateByPrimaryKeySelective(Dbc record);

    int updateByPrimaryKey(Dbc record);

    int deleteByPrimaryKey(Dbc record);

    int deleteByIds(Collection<Object> collection);

    Dbc selectByPrimaryKey(Dbc record);

    Dbc selectByBuscode(@Param("buscode") String buscode);

    int dyncDelete(Map<String,Object> dyncMap);

    List<BopdecSelectVo> selectByCountryAndOppuser(@Param("country") String country, @Param("oppuser") String oppuser);

    List<Dbc> dyncRead(Map<String,Object> dyncMap);

    List<Dbc> selectByArgmodVo(ArgmodManagerVo argmodVo);

    /**
     * 需要导出的数据
     * @para basInrs
     * @return
     */
    List<DbcResultVo> selectByBasInrs(@Param("basInrs") List<String> basInrs);
}
